
turtles-own [ value target solved coop-others update-p ]


breed [ dms dm ] ; dm = decision maker ;; DS 11 jun 20: updated to fit NL6.1
breed [ problems problem ]        ;; DS 11 jun 20: updated to fit NL6.1


dms-own [
  enquiry
  sodm
  competence
  sharing
  non-linear-effect
  linear-effect
]

problems-own [ difficulty hyper_difficult1 hyper_difficult2 max_diff ]

globals [ pr.solved pr.solved2
          pr.created pr.created2
          plot.comp.wht
          sd.comp.wht
          plot.comp.red
          sd.comp.red
          plot.comp.ylw
          sd.comp.ylw
          mean.coop-others.red
          mean.coop-others.ylw
          mean.coop-others.wht
          sd.coop-others.red
          sd.coop-others.ylw
          sd.coop-others.wht
          solved-red solved-red2
          solved-ylw solved-ylw2
          solved-wht solved-wht2
          ]

to setup
  __clear-all-and-reset-ticks
  setup-dm
  setup-problems

  set-default-shape turtles "circle"

end

to setup-dm
  crt initial.num-dm [
    setxy random-xcor random-ycor ;random-zcor
      set breed dms
      set color white
      set enquiry random-normal mean_enquiry stdev_enquiry
      set sodm random-normal mean_soc-or-dm stdev_soc-or-dm
      set competence random-normal mean_competence stdev_competence
      set size 2
  ]
end


to setup-problems
  crt initial.num-problems [
    setxy random-xcor * 0.95 random-ycor * 0.95 ;3D option: random-zcor * 0.95
    ;; to make problems appear not too close to the edges
      set breed problems
      set color green
      set difficulty random-normal mean_difficulty stdev_difficulty
      set size difficulty
      set shape "box"
  ]

end

to go
  tick

  if count problems <= ( 0.10 * initial.num-problems ) [ stop ]
  if count problems > 3 * initial.num-problems [ stop ]

  shit_happens

  ask turtles with [ color = blue ] [
    die
    repeat 3 [ beep wait 0.1 ]
    ]

  relocate
  activate
  move

  ask dms [
    ask my-links [
      set thickness thickness + 0.1 ] ]


  set pr.created2 pr.created - count problems
  set pr.solved2 pr.solved + pr.solved2

  set solved-red2 solved-red + solved-red2
  set solved-wht2 solved-wht + solved-wht2
  set solved-ylw2 solved-ylw + solved-ylw2

end


to move
  ifelse looking_for_problems [
    ask dms with  [ count my-links = 0 ] [
      face one-of problems
      forward 1
    ] ] [

  ask turtles with [ shape = "circle" ] [
    repeat 1 [ layout-spring turtles with [ shape = "circle" ] links 0.05 5 .25 ;; ( random-normal 0 0.5 ) ; 0.05
      display ] ; ( random-normal 0 0.5 ) ] ;;; previous numbers 0.05 5 0.1
  ] ]
end

to activate
  ask dms [
    if [ sodm ] of self <= ( mean [ sodm ] of dms - 0.75 * standard-deviation [ sodm ] of dms ) [
      set color yellow ]
    if [ sodm ] of self >= ( mean [ sodm ] of dms + 0.75 * standard-deviation [ sodm ] of dms ) [
      set color red ]

    create-links-with problems in-radius proximity [ set color green ] ;; DS 11 jun 20: updated to fit NL6.

    every 5 [ ask dms [
        set linear-effect 0
        set non-linear-effect 0 ] ]

;    display

  ]

  ask dms [
    if any? my-links with [ thickness >= 2 ] [
      ask my-links [ die ]
      setxy random-xcor random-ycor
      set linear-effect 0
      set non-linear-effect 0
      set coop-others 0 ] ]

  ask dms with [ label = "busy" ] [
    if all? my-links [ color != green ] [
      ask my-links [ die ]
      set label "" ] ]

end

to solve
  ask problems [
    if sum [ competence ] of other dms in-radius proximity > [ difficulty ] of self [ ;; DS 11 jun 20: updated to fit NL6.1 (range > proximity)
        set color blue
        ] ]
  ask problems with [ color = blue ] [ ask my-links [ set color blue ] ]

  ask dms with [ color = red ] [
    set solved-red count my-links with [ color = blue ]
  ]
  ask dms with [ color = yellow ] [
    set solved-ylw count my-links with [ color = blue ]
  ]
  ask dms with [ color = white ] [
    set solved-wht count my-links with [ color = blue ]
  ]

  set pr.solved count problems with [ color = blue ]


    ask dms [ if any? my-links with [ color = green or color = blue ] [
      set label "busy" ] ]

  cooperate
  evolve

  if count problems <= ( 0.10 * initial.num-problems ) [ stop ]
  if count problems > 5 * initial.num-problems [ stop ]

end


to evolve
  ask turtles with [ label = "busy" and color = red ] [
    if any? my-links with [ color = blue ] [
      set competence competence * ( 1 + ( [ solved-red ] of self * random-float increase_comp_rate ) ) ] ]
  ask turtles with [ label = "busy" and color = yellow ] [
    if any? my-links with [ color = blue ] [
      set competence competence * ( 1 + ( [ solved-ylw ] of self * random-float increase_comp_rate ) ) ] ]
  ask turtles with [ label = "busy" and color = white ] [
    if any? my-links with [ color = blue ] [
      set competence competence * ( 1 + ( [ solved-wht ] of self * random-float increase_comp_rate ) ) ] ]

  ask turtles with [ label = "busy" and color = red ] [
    if any? my-links with [ color = green ] [
      set competence competence *
      ( 1 - (count my-links with [ color = green ]) * random-float decrease_comp_rate ) ]
    if any? my-links with [ thickness >= 2 ] [
      ask my-links [ die ]
      setxy random-xcor random-ycor ]
  ask turtles with [ label = "busy" and color = yellow ] [
    if any? my-links with [ color = green ] [
      set competence competence *
      ( 1 - (count my-links with [ color = green ]) * random-float decrease_comp_rate ) ] ]
    if any? my-links with [ thickness >= 2 ] [
      ask my-links [ die ]
      setxy random-xcor random-ycor ]
  ask turtles with [ label = "busy" and color = white ] [
    if any? my-links with [ color = green ] [
      set competence competence *
      ( 1 - (count my-links with [ color = green ]) * random-float decrease_comp_rate ) ] ]
    if any? my-links with [ thickness >= 2 ] [
      ask my-links [ die ]
      setxy random-xcor random-ycor ] ]


   ask links with [ end1 = dms with [ color = yellow ] ] [
     if [ linear-effect ] of end1 > tolerance * [ difficulty ] of end2 = problems with [ color = blue ] [
       ask end1 [ set competence competence * ( 1 - random-float 0.1 ) ] ] ]
   ask links with [ end2 = dms with [ color = yellow ] ] [
     if [ linear-effect ] of end2 > tolerance * [ difficulty ] of end1 = problems with [ color = blue ] [
       ask end2 [ set competence competence * ( 1 - random-float 0.1 ) ] ] ]

   ask links with [ end1 = dms with [ color = red ] ] [
     if [ linear-effect ] of end1 > tolerance * [ difficulty ] of end2 = problems with [ color = blue ] [
       ask end1 [ set competence competence * ( 1 - random-float 0.1 ) ] ] ]
   ask links with [ end2 = dms with [ color = red ] ] [
     if [ linear-effect ] of end2 > tolerance * [ difficulty ] of end1 = problems with [ color = blue ] [
       ask end2 [ set competence competence * ( 1 - random-float 0.1 ) ] ] ]

    crt random 2 [
    setxy random-xcor * 0.95 random-ycor * 0.95 ;random-zcor * 0.95 ;; to make problems not too close to the edges
      set breed problems
      set color green
      set difficulty random-normal mean_difficulty stdev_difficulty
      set size difficulty
      set shape "box"
  ]

  update-plot

  set pr.created count problems

  if count problems <= ( 0.10 * initial.num-problems ) [ stop ]
  if count problems > 3 * initial.num-problems [ stop ]

end


to update-plot
  set-current-plot "Problem dynamic"
  set-current-plot-pen "#n. pr."
  plot count problems
  set-current-plot-pen "#pr. slvd"
  plot pr.solved2

  ifelse count dms with [ color = white ] > 1 [
    set plot.comp.wht mean [ competence ] of dms with [ color = white ]
    set sd.comp.wht standard-deviation [ competence ] of dms with [ color = white ]
    set mean.coop-others.wht mean [ coop-others ] of dms with [ color = white ]
    set sd.coop-others.wht standard-deviation [ coop-others ] of dms with [ color = white ] ] [
    set plot.comp.wht 0
    set sd.comp.wht 0
    set mean.coop-others.wht 0
    set sd.coop-others.wht 0 ]
  ifelse count dms with [ color = red ] > 1 [
    set plot.comp.red mean [ competence ] of dms with [ color = red ]
    set sd.comp.red standard-deviation [ competence ] of dms with [ color = red ]
    set mean.coop-others.red mean [ coop-others ] of dms with [ color = red ]
    set sd.coop-others.red standard-deviation [ coop-others ] of dms with [ color = red ] ] [
    set plot.comp.red 0
    set sd.comp.red 0
    set mean.coop-others.red 0
    set sd.coop-others.red 0 ]
  ifelse count dms with [ color = yellow ] > 1 [
    set plot.comp.ylw mean [ competence ] of dms with [ color = yellow ]
    set sd.comp.ylw standard-deviation [ competence ] of dms with [ color = yellow ]
    set mean.coop-others.ylw mean [ coop-others ] of dms with [ color = yellow ]
    set sd.coop-others.ylw standard-deviation [ coop-others ] of dms with [ color = yellow ] ] [
    set plot.comp.ylw 0
    set sd.comp.ylw 0
    set mean.coop-others.ylw 0
    set sd.coop-others.ylw 0 ]

  set-current-plot "Mean competence"
  set-current-plot-pen "red-dm"
  plot plot.comp.red
  set-current-plot-pen "ylw-dm"
  plot plot.comp.ylw
  set-current-plot-pen "wht-dm"
  plot plot.comp.wht
  set-current-plot-pen "m-diff"
  plot mean [ difficulty ] of problems

  set-current-plot "Who solves problems"
  set-current-plot-pen "red-dm"
  plot solved-red2
  set-current-plot-pen "ylw-dm"
  plot solved-ylw2
  set-current-plot-pen "wht-dm"
  plot solved-wht2
end


to shit_happens
  ask max-n-of 5 problems [ difficulty ] [
    set max_diff difficulty ]

  if probs_evolve [
    ask n-of ( round 5 * 0.5 ) ( problems with [ max_diff > 0 ] ) [ ;; DS 11 june 2020: I cannot understand the rounding ( round 5 * 0.5 ) is 2?
      set difficulty ( difficulty * 1.02 )
      set size difficulty ]

    ask n-of 1 ( problems with [ max_diff > 0 ] ) [
      hatch-problems problem_spin-off [
        create-links-with problems with [ self != myself and max_diff > 0 ] in-radius proximity ;; DS 11 jun 20: updated to fit NL6.1
        set label "new probs" set label-color green
        layout-spring ( problems with [ label = "new probs" ] ) links 3 3 3

      set shape "box"
      set color green
      set difficulty mean [ difficulty ] of ( min-n-of 5 problems [ difficulty ] )
      set size difficulty
      ] ] ]
end


to relocate
  if avoid-edges [
  ask turtles [
    if ( xcor = 50 ) or ( ycor = 50 ) [ setxy random-xcor random-ycor ]
    if ( xcor = -50 ) or ( ycor = -50 ) [ setxy random-xcor random-ycor ]
  ] ]
end


to cooperate
  ask dms [
    set sharing sodm * competence
    if any? other dms in-radius proximity [  ;; DS 11 jun 20: updated to fit NL6.1
      set coop-others mean [ sharing ] of other dms with [ any? links ] in-radius proximity  ]
    if abs coop-others < 0.1 [  ;; this code was added after the simulation ran for the paper
        set coop-others 0.1 ]   ;; this code was added after the simulation ran for the paper
    ]



  if cooperation [
    ask dms [
      if abs non-linear-effect > 3 * max [ difficulty ] of problems [   ;; this set of code was added after the simulation ran for the paper
        ifelse non-linear-effect > 0 [                                  ;; the purpose of this was to avoid NetLogo giving error when
          set non-linear-effect 3 * max [ difficulty ] of problems ] [  ;; math operations cannot be completed
          set non-linear-effect -3 * max [ difficulty ] of problems ] ] ;; I need to check that this is consistent with published results
      if abs competence > 3 * max [ difficulty ] of problems [
        ifelse competence > 0 [
          set competence 3 * max [ difficulty ] of problems ] [
          set competence -3 * max [ difficulty ] of problems ] ]
      if abs coop-others > 3 * max [ difficulty ] of problems [
        ifelse coop-others > 0 [
          set coop-others 3 * max [ difficulty ] of problems ] [
          set coop-others -3 * max [ difficulty ] of problems ] ]
      ]

    ask dms with [ color = white ] [
      if any? my-links with [ color = green ] [
        create-links-with other dms in-radius proximity [ set color white ] ] ;; DS 11 jun 20: updated to fit NL6.1

      if any? dms with [ color = red ] in-radius proximity [
        if mean [ solved-red ] of dms in-radius proximity >
        mean [ solved-ylw + solved-wht ] of dms in-radius proximity [
          set color red ] ]
      if any? dms with [ color = yellow ] in-radius proximity [
        if mean [ solved-ylw ] of dms in-radius proximity >
        mean [ solved-red + solved-wht ] of dms in-radius proximity[
          set color yellow ] ]
          ]

    ask dms with [ color = yellow ] [
      if any? my-links with [ color = green ] [
      create-links-with other dms in-radius proximity [ set color yellow ] ;; DS 11 jun 20: updated to fit NL6.1
      set linear-effect ( [ competence ] of self + coop-others )

      ask links with [ end1 = dms with [ color = yellow ] ] [
        if [ linear-effect ] of end1 > [ difficulty ] of end2 [
          ask end2 [ set color blue ]
          ask end1 [ set linear-effect 0 set coop-others 0 ] ] ]
      ask links with [ end2 = dms with [ color = yellow ] ] [
        if [ linear-effect ] of end2 > [ difficulty ] of end1 [
          ask end1 [ set color blue ]
          ask end2 [ set linear-effect 0 set coop-others 0 ] ] ]
      ] ]


  ifelse inquisitiveness [

    ask dms with [ enquiry > mean [ enquiry ] of dms ] [
      set coop-others coop-others * ( 1 + ( enquiry / max [ enquiry ] of dms ) ) ]

      ask dms with [ color = red and enquiry > mean [ enquiry ] of dms ] [
        if any? my-links with [ color = green ] [
          create-links-with other dms in-radius ( proximity * 1.5 ) [ set color red ] ] ; ACHTUNG!! shouldn't this be 1.5 if the range is extended?

        if coop-others < 0 [
          set non-linear-effect
          [ competence ] of self + 1 / (( abs [ competence ] of self) ^ ( ln ( abs [ coop-others ] of self + 1 )) )  ]
        if coop-others > 0 [       ;; this has also been changed adding '+1' so that the log is not negative in case 'coop-others' is strictly below zero
          set non-linear-effect    ;; unfortunately, I am not too sure this works as well as the version of the model without the '+1' --- check this again
          [ competence ] of self + (( abs [ competence ] of self ) ^ ( ln ( [ coop-others ] of self + 1 ))) ]
           ]

          ask links with [ end1 = dms with [ color = red ] ] [
              if [ non-linear-effect ] of end1 > [ difficulty ] of end2 [ ask end2 [ set color blue ] ] ]
          ask links with [ end2 = dms with [ color = red ] ] [
              if [ non-linear-effect ] of end2 > [ difficulty ] of end1 [ ask end1 [ set color blue ] ] ]
          ] [

    ask dms with [ color = red ] [
      if any? my-links with [ color = green ] [
        create-links-with other dms in-radius proximity [ set color red ] ;; DS 11 jun 20: updated to fit NL6.1

        if coop-others < 0 [
          set non-linear-effect
          [ competence ] of self + 1 / (( abs [ competence ] of self) ^ ( ln abs [ coop-others ] of self ) )  ]
        if coop-others > 0 [
          set non-linear-effect
          [ competence ] of self + (( abs [ competence ] of self ) ^ ( ln [ coop-others ] of self )) ]
      ]

          ask links with [ end1 = dms with [ color = red ] ] [
              if [ non-linear-effect ] of end1 > [ difficulty ] of end2 [
                ask end2 [ set color blue ]
                ask end1 [ set non-linear-effect 0 set coop-others 0 ] ]
          ask links with [ end2 = dms with [ color = red ] ] [
              if [ non-linear-effect ] of end2 > [ difficulty ] of end1 [
                ask end1 [ set color blue ]
                ask end2 [ set non-linear-effect 0 set coop-others 0 ] ] ]
      ] ]
  ] ]

  evolve


end



; Model by Davide Secchi 2015-2020

; Copyright 1998 Uri Wilensky. All rights reserved.
; The full copyright notice is in the Information tab.
@#$#@#$#@
GRAPHICS-WINDOW
678
10
1184
517
-1
-1
4.931
1
10
1
1
1
0
1
1
1
-50
50
-50
50
1
1
1
interactions
30.0

BUTTON
17
15
98
48
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
692
540
769
573
NIL
go
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

PLOT
8
393
297
533
Problem dynamic
Time
#problems
0.0
30.0
0.0
100.0
true
true
"" ""
PENS
"#n. pr." 1.0 0 -2674135 true "" ""
"#pr. slvd" 1.0 0 -10899396 true "" ""

SLIDER
10
182
182
215
tolerance
tolerance
0
10
3.0
0.1
1
NIL
HORIZONTAL

SLIDER
9
221
181
254
mean_competence
mean_competence
-5
5
1.0
0.1
1
NIL
HORIZONTAL

SLIDER
182
182
354
215
proximity
proximity
0
20
6.0
1
1
NIL
HORIZONTAL

SLIDER
181
221
353
254
stdev_competence
stdev_competence
0
10
1.5
0.1
1
NIL
HORIZONTAL

SLIDER
181
254
353
287
stdev_soc-or-dm
stdev_soc-or-dm
0
10
1.0
0.01
1
NIL
HORIZONTAL

SLIDER
9
287
181
320
mean_enquiry
mean_enquiry
-5
5
0.0
0.1
1
NIL
HORIZONTAL

SLIDER
9
254
181
287
mean_soc-or-dm
mean_soc-or-dm
-5
5
0.0
0.1
1
NIL
HORIZONTAL

SLIDER
10
62
182
95
initial.num-dm
initial.num-dm
0
500
200.0
50
1
NIL
HORIZONTAL

MONITOR
557
259
643
304
# dm (%)
(count dms) / (count turtles )
3
1
11

MONITOR
557
305
657
350
# prblms (%)
count problems / (count turtles )
3
1
11

MONITOR
396
602
465
647
#dm-red
count dms with [ color = red ]
3
1
11

MONITOR
548
601
617
646
# prblms
count problems
3
1
11

SLIDER
181
287
353
320
stdev_enquiry
stdev_enquiry
0
10
1.0
0.1
1
NIL
HORIZONTAL

SLIDER
182
62
366
95
initial.num-problems
initial.num-problems
0
500
100.0
50
1
NIL
HORIZONTAL

BUTTON
107
15
185
48
go.plus
go\nsolve\n
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SWITCH
80
103
220
136
probs_evolve
probs_evolve
0
1
-1000

SWITCH
80
140
220
173
avoid-edges
avoid-edges
0
1
-1000

MONITOR
383
64
468
109
mean comp
mean [ competence ] of dms
3
1
11

MONITOR
467
64
553
109
dtdev comp
standard-deviation [ competence ] of dms
3
1
11

MONITOR
556
132
630
177
busy
count turtles with [ label = \"busy\" ]
3
1
11

BUTTON
932
540
995
573
clear
ask turtles [ if count my-links = 0 [ die ] ]
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
794
540
858
573
solve
solve
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
861
540
932
573
evolve
evolve
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

MONITOR
553
64
620
109
max_diff
count problems with [ max_diff > 0 ]
2
1
11

SWITCH
223
104
355
137
cooperation
cooperation
1
1
-1000

MONITOR
311
602
397
647
#dm-yellow
count dms with [ color = yellow ]
3
1
11

MONITOR
383
259
462
304
non-linear
mean [ non-linear-effect ] of dms with [ color = red ]
3
1
11

MONITOR
383
303
462
348
linear
mean [ linear-effect ] of dms with [ color = yellow ]
3
1
11

MONITOR
463
259
556
304
sharing
mean [ sharing ] of dms
3
1
11

PLOT
8
533
297
683
Who solves problems
Time
#prblms solved
0.0
30.0
-10.0
10.0
true
true
"" ""
PENS
"red-dm" 1.0 0 -2674135 true "plot sum [ solved-red ] of dms" "plot solved-red2"
"ylw-dm" 1.0 0 -1184463 true "plot sum [ solved-ylw ] of dms" "plot solved-ylw2"
"wht-dm" 1.0 0 -7500403 true "plot sum [ solved-wht ] of dms" "plot solved-wht2"

SWITCH
223
141
355
174
inquisitiveness
inquisitiveness
1
1
-1000

SLIDER
9
320
181
353
mean_difficulty
mean_difficulty
0
10
3.0
0.1
1
NIL
HORIZONTAL

SLIDER
181
320
353
353
stdev_difficulty
stdev_difficulty
0
10
1.0
0.1
1
NIL
HORIZONTAL

MONITOR
383
109
470
154
mean_c_red
mean [ competence ] of dms with [ color = red ]
3
1
11

MONITOR
470
109
556
154
stdev_c_red
standard-deviation [ competence ] of dms with [ color = red ]
3
1
11

MONITOR
383
154
470
199
mean_c_ylw
mean [ competence ] of dms with [ color = yellow ]
3
1
11

MONITOR
469
154
556
199
stdev_c_ylw
standard-deviation [ competence ] of dms with [ color = yellow ]
3
1
11

PLOT
297
393
585
533
Mean competence
Time
mean comp
0.0
10.0
0.0
3.0
true
true
"" ""
PENS
"red-dm" 1.0 0 -2674135 true "" ""
"ylw-dm" 1.0 0 -1184463 true "" ""
"wht-dm" 1.0 0 -7500403 true "" ""
"m-diff" 1.0 0 -13345367 true "" ""

MONITOR
333
552
420
597
sodm-red
mean [ sodm ] of dms with [ color = red ]
3
1
11

MONITOR
424
553
498
598
sodm-ylw
mean [ sodm ] of dms with [ color = yellow ]
3
1
11

SWITCH
197
17
366
50
looking_for_problems
looking_for_problems
1
1
-1000

MONITOR
464
305
556
350
coop-others
mean [ coop-others ] of dms
3
1
11

SLIDER
9
356
182
389
increase_comp_rate
increase_comp_rate
0
1
0.3
0.01
1
NIL
HORIZONTAL

SLIDER
182
356
353
389
decrease_comp_rate
decrease_comp_rate
0
1
0.16
0.01
1
NIL
HORIZONTAL

MONITOR
383
201
472
246
mean_c_wht
mean [ competence ] of dms with [ color = white ]
3
1
11

MONITOR
465
602
535
647
#dm-wht
count turtles with [ color = white ]
3
1
11

MONITOR
696
597
775
642
NIL
pr.solved2
2
1
11

MONITOR
794
596
865
641
NIL
pr.solved
2
1
11

SLIDER
357
356
529
389
problem_spin-off
problem_spin-off
0
10
4.0
1
1
NIL
HORIZONTAL

MONITOR
882
595
967
640
NIL
pr.created2
2
1
11

MONITOR
539
213
599
258
enquiry
mean [ enquiry ] of dms
2
1
11

MONITOR
516
551
589
596
enquirers
count dms with [ enquiry > mean [ enquiry ] of dms ]
2
1
11

@#$#@#$#@
# A Model of Inquisitiveness: Distributing Rational Thinking

## WHAT IS IT?

This model builds on inquisitiveness as a key individual disposition to expand the bounds of their rationality. It represents a system where teams are formed around problems and inquisitive agents integrate competencies to find 'emergent' solutions.

The model has two types of agents: decision makers and problems. Decision makers move in the environment to form teams to solve problems. While problems are only characterized by difficulty levels, decision makers have knowledge (competence) they can use. They can also team up to create a task force oriented toward solving a given problem. The way knowledge is assembled in the team depends on whether one of its members shows what we call 'inquisitiveness'. This is the disposition to use enquiry to explore and understand information coming from social channels (i.e., other team members). The model assumes that highly inquisitive individuals assemble information in a non-linear fashion, hence increasing the chances to find original solutions that are not just the sum of team members' competences. Instead, non inquisitive individuals have a linear approach to team problem solving. This simulation explores when and if inquisitiveness brings something to the team and to the system (an organization?) as a whole. 

### Disclaimer
This version of the model is slightly different from the one used in the paper. The original model caused NetLogo to produce a number that was too large to compute. This problem did not affect the data but it was just annoying to deal with when running the model 'qualitatively' so to say (i.e., performing random runs to check how parameters work). The modified lines of code are identified in the file.

## HOW TO USE IT

The version of the model that is featured here is one that allows a large number of parameters' initial conditions to be set. Also, given the fact that the model was used for research purposes, a number of monitors appear in the interface. In order not to get too confused by the many sliders, here are a few suggestions on those parameters that you can modify. Together with the parameter, here is also the values recommended.

#### Number of problems [100, 200, 300]
Self-explanatory: the number of problems in the system at the beginning of the simulation.
#### Problem spin-off [2, 4] 
This is the top number through which problems can multiply at any step of the simulation.
#### Number of decision makers [100, 200, 300]
Self-explanatory: the number of decision makers in the system at the beginning of the simulation.
#### mean_difficulty [1, 3] - stdev_difficulty [1]
These assign initial values of difficulty levels to problems according to a random normal distribution.
#### mean_competence [1, 2] - stdev_competence [1.5]
These assign initial values of competence levels to decision makers according to a random normal distribution.
#### increase_comp_rate [0.15, 0.30] - decrease_comp_rate [0, 0.05, 0.1]
The rate to which competence increases or decreases.
#### mean_soc-or-dm [0] - stdev_soc-or-dm [1]
These assign initial values of socially-oriended decision making (docility) levels to decision makers according to a random normal distribution.
#### mean_enquiry [0, 1, 2] - stdev_enquiry [1.5]
These assign initial values of enquiry to decision makers according to a random normal distribution.
#### inquisitiveness [on, off]
The switch lets inquisitive individuals use a non-linear function to integrate team members' competencies. The switch makes the function work together with the level of enquiry, so that only decision makers with high enquiry levels perform non-linear aggregation.
#### range [3, 6]
The extent to which other agents are visible.



## HOW IT WORKS

The cubes are problems while the dots are decision makers. Red dots are agents with high levels of socially-oriented decision making (docility) while yellow agents have a low level of the same parameter. White agents have average levels of docility. Only red agents can perform as inquisitive individuals in teams.

The two buttons to click are 'setup' and 'go.plus'. The other buttons are for checking how the simulation works step-by-step. Further details on how the model works are provided in the paper (currently under review).

## THINGS TO NOTICE

When either problems or decision makers are disproportionately higher than the other type of agent the model behaves significantly different. Also, competence and difficulty levels are interesting to change and observe how the model reaches equilibrium or not.

The switch 'looking for problems' makes agents seek problems when it is switched on. This is the default of the model but it may be interesting to turn it off and see whether dynamics of groups/teams and problem solved change significantly. Problem spin-off is also a very interesting tool because it sets the ground for how many new problems are generated at every step. Making problems go wild (i.e., increasing this number to, say, 10) creates a dynamic in the model that may be interesting to watch.

## EXTENDING THE MODEL

The model can be extended creating stable relationships among decision makers and allowing them to work with the same team. Another way to extend the model would be to allow the decision makers population to increase or decrease, according to certain rules. Also, knowledge (or competence, as it is called here) can be made more to look more complex, allowing overlaps, misunderstandings, or incompatibilities.

## HOW I STARTED

Together with my coauthor, we started this at the AISB Workshop VI on 'Agent-based models of bounded rationality', May 7-8 2015, University of Southern Denmark, Slagelse, DK.

The goal of the model is to describe a socialized version of bounded rationality, with the aim to go beyond the current view of rationality. Inquisitive individuals can be taken as an example of those who try to expand their rationality working on their own (and other people's) bounds.


## COPYRIGHT NOTICE

Copyright 2002 Uri Wilensky. All rights reserved.

Permission to use, modify or redistribute this model is hereby granted, provided that both of the following requirements are followed:  
a) this copyright notice is included.  
b) this model will not be redistributed for profit without permission from Uri Wilensky. Contact Uri Wilensky for appropriate licenses for redistribution for profit.

This model was created as part of the projects: PARTICIPATORY SIMULATIONS: NETWORK-BASED DESIGN FOR SYSTEMS LEARNING IN CLASSROOMS and/or INTEGRATED SIMULATION AND MODELING ENVIRONMENT. The project gratefully acknowledges the support of the National Science Foundation (REPP & ROLE programs) -- grant numbers REC #9814682 and REC-0126227.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270
@#$#@#$#@
NetLogo 6.1.0
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="inq_base" repetitions="30" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go
solve
evolve</go>
    <timeLimit steps="500"/>
    <metric>count dm with [ color = red ]</metric>
    <metric>count dm with [ color = yellow ]</metric>
    <metric>count dm with [ color = white ]</metric>
    <metric>count problems</metric>
    <metric>pr.solved2</metric>
    <metric>count problems with [ color = blue ]</metric>
    <metric>mean [ competence ] of dm with [ color = red ]</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = red ]</metric>
    <metric>mean [ competence ] of dm with [ color = yellow ]</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = yellow ]</metric>
    <metric>mean [ competence ] of dm with [ color = white ]</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = white ]</metric>
    <metric>mean [ coop-others ] of dm</metric>
    <metric>standard-deviation [ coop-others ] of dm</metric>
    <metric>mean [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>standard-deviation [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>mean [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>standard-deviation [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>mean [ difficulty ] of problems</metric>
    <metric>standard-deviation [ difficulty ] of problems</metric>
    <metric>plot.comp.wht</metric>
    <metric>plot.comp.red</metric>
    <metric>plot.comp.ylw</metric>
    <enumeratedValueSet variable="initial.num-dm">
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial.num-problems">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="cooperation">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="looking_for_problems">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="inquisitiveness">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="avoid-edges">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="probs_evolve">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="increase_comp_rate">
      <value value="0.15"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="decrease_comp_rate">
      <value value="0.05"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_soc-or-dm">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_soc-or-dm">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_competence">
      <value value="2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_competence">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_enquiry">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_difficulty">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_difficulty">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="problem_spin-off">
      <value value="2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tolerance">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="range">
      <value value="6"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="inq_exp1.1-enq0range3" repetitions="30" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go
solve
evolve</go>
    <timeLimit steps="500"/>
    <metric>count dm with [ color = red ]</metric>
    <metric>count dm with [ color = yellow ]</metric>
    <metric>count dm with [ color = white ]</metric>
    <metric>count problems</metric>
    <metric>pr.solved2</metric>
    <metric>count problems with [ color = blue ]</metric>
    <metric>plot.comp.red</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = red ]</metric>
    <metric>plot.comp.ylw</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = yellow ]</metric>
    <metric>plot.comp.wht</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = white ]</metric>
    <metric>mean [ coop-others ] of dm</metric>
    <metric>standard-deviation [ coop-others ] of dm</metric>
    <metric>mean [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>standard-deviation [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>mean [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>standard-deviation [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>mean [ difficulty ] of problems</metric>
    <metric>standard-deviation [ difficulty ] of problems</metric>
    <metric>sum [ solved-red ] of dm</metric>
    <metric>sum [ solved-ylw ] of dm</metric>
    <metric>sum [ solved-wht ] of dm</metric>
    <enumeratedValueSet variable="initial.num-dm">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial.num-problems">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="cooperation">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="looking_for_problems">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="inquisitiveness">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="avoid-edges">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="probs_evolve">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="increase_comp_rate">
      <value value="0.15"/>
      <value value="0.3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="decrease_comp_rate">
      <value value="0"/>
      <value value="0.05"/>
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_soc-or-dm">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_soc-or-dm">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_competence">
      <value value="1"/>
      <value value="2"/>
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_competence">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_enquiry">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_difficulty">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_difficulty">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="problem_spin-off">
      <value value="2"/>
      <value value="4"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tolerance">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="range">
      <value value="3"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="inq_exp1.2-enq1range3" repetitions="30" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go
solve
evolve</go>
    <timeLimit steps="500"/>
    <metric>count dm with [ color = red ]</metric>
    <metric>count dm with [ color = yellow ]</metric>
    <metric>count dm with [ color = white ]</metric>
    <metric>count problems</metric>
    <metric>pr.solved2</metric>
    <metric>count problems with [ color = blue ]</metric>
    <metric>plot.comp.red</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = red ]</metric>
    <metric>plot.comp.ylw</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = yellow ]</metric>
    <metric>plot.comp.wht</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = white ]</metric>
    <metric>mean [ coop-others ] of dm</metric>
    <metric>standard-deviation [ coop-others ] of dm</metric>
    <metric>mean [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>standard-deviation [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>mean [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>standard-deviation [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>mean [ difficulty ] of problems</metric>
    <metric>standard-deviation [ difficulty ] of problems</metric>
    <metric>sum [ solved-red ] of dm</metric>
    <metric>sum [ solved-ylw ] of dm</metric>
    <metric>sum [ solved-wht ] of dm</metric>
    <enumeratedValueSet variable="initial.num-dm">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial.num-problems">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="cooperation">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="looking_for_problems">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="inquisitiveness">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="avoid-edges">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="probs_evolve">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="increase_comp_rate">
      <value value="0.15"/>
      <value value="0.3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="decrease_comp_rate">
      <value value="0"/>
      <value value="0.05"/>
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_soc-or-dm">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_soc-or-dm">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_competence">
      <value value="1"/>
      <value value="2"/>
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_competence">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_difficulty">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_difficulty">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="problem_spin-off">
      <value value="2"/>
      <value value="4"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tolerance">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="range">
      <value value="3"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="inq_exp1.3-enq2range3" repetitions="30" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go
solve
evolve</go>
    <timeLimit steps="500"/>
    <metric>count dm with [ color = red ]</metric>
    <metric>count dm with [ color = yellow ]</metric>
    <metric>count dm with [ color = white ]</metric>
    <metric>count problems</metric>
    <metric>pr.solved2</metric>
    <metric>count problems with [ color = blue ]</metric>
    <metric>plot.comp.red</metric>
    <metric>sd.comp.red</metric>
    <metric>plot.comp.ylw</metric>
    <metric>sd.comp.ylw</metric>
    <metric>plot.comp.wht</metric>
    <metric>sd.comp.wht</metric>
    <metric>mean.coop-others.red</metric>
    <metric>sd.coop-others.red</metric>
    <metric>mean.coop-others.ylw</metric>
    <metric>sd.coop-others.ylw</metric>
    <metric>mean.coop-others.wht</metric>
    <metric>sd.coop-others.wht</metric>
    <metric>mean [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>standard-deviation [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>mean [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>standard-deviation [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>mean [ difficulty ] of problems</metric>
    <metric>standard-deviation [ difficulty ] of problems</metric>
    <metric>sum [ solved-red ] of dm</metric>
    <metric>sum [ solved-ylw ] of dm</metric>
    <metric>sum [ solved-wht ] of dm</metric>
    <enumeratedValueSet variable="initial.num-dm">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial.num-problems">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="cooperation">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="looking_for_problems">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="inquisitiveness">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="avoid-edges">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="probs_evolve">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="increase_comp_rate">
      <value value="0.15"/>
      <value value="0.3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="decrease_comp_rate">
      <value value="0"/>
      <value value="0.05"/>
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_soc-or-dm">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_soc-or-dm">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_competence">
      <value value="1"/>
      <value value="2"/>
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_competence">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_enquiry">
      <value value="2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_difficulty">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_difficulty">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="problem_spin-off">
      <value value="2"/>
      <value value="4"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tolerance">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="range">
      <value value="3"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="inq_exp2.1-enq0range6" repetitions="30" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go
solve
evolve</go>
    <timeLimit steps="500"/>
    <metric>count dm with [ color = red ]</metric>
    <metric>count dm with [ color = yellow ]</metric>
    <metric>count dm with [ color = white ]</metric>
    <metric>count problems</metric>
    <metric>pr.solved2</metric>
    <metric>count problems with [ color = blue ]</metric>
    <metric>plot.comp.red</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = red ]</metric>
    <metric>plot.comp.ylw</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = yellow ]</metric>
    <metric>plot.comp.wht</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = white ]</metric>
    <metric>mean [ coop-others ] of dm</metric>
    <metric>standard-deviation [ coop-others ] of dm</metric>
    <metric>mean [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>standard-deviation [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>mean [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>standard-deviation [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>mean [ difficulty ] of problems</metric>
    <metric>standard-deviation [ difficulty ] of problems</metric>
    <metric>sum [ solved-red ] of dm</metric>
    <metric>sum [ solved-ylw ] of dm</metric>
    <metric>sum [ solved-wht ] of dm</metric>
    <enumeratedValueSet variable="initial.num-dm">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial.num-problems">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="cooperation">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="looking_for_problems">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="inquisitiveness">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="avoid-edges">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="probs_evolve">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="increase_comp_rate">
      <value value="0.15"/>
      <value value="0.3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="decrease_comp_rate">
      <value value="0"/>
      <value value="0.05"/>
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_soc-or-dm">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_soc-or-dm">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_competence">
      <value value="1"/>
      <value value="2"/>
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_competence">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_enquiry">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_difficulty">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_difficulty">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="problem_spin-off">
      <value value="2"/>
      <value value="4"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tolerance">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="range">
      <value value="6"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="inq_exp2.2-enq1range6" repetitions="30" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go
solve
evolve</go>
    <timeLimit steps="500"/>
    <metric>count dm with [ color = red ]</metric>
    <metric>count dm with [ color = yellow ]</metric>
    <metric>count dm with [ color = white ]</metric>
    <metric>count problems</metric>
    <metric>pr.solved2</metric>
    <metric>count problems with [ color = blue ]</metric>
    <metric>plot.comp.red</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = red ]</metric>
    <metric>plot.comp.ylw</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = yellow ]</metric>
    <metric>plot.comp.wht</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = white ]</metric>
    <metric>mean [ coop-others ] of dm</metric>
    <metric>standard-deviation [ coop-others ] of dm</metric>
    <metric>mean [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>standard-deviation [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>mean [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>standard-deviation [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>mean [ difficulty ] of problems</metric>
    <metric>standard-deviation [ difficulty ] of problems</metric>
    <metric>sum [ solved-red ] of dm</metric>
    <metric>sum [ solved-ylw ] of dm</metric>
    <metric>sum [ solved-wht ] of dm</metric>
    <enumeratedValueSet variable="initial.num-dm">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial.num-problems">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="cooperation">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="looking_for_problems">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="inquisitiveness">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="avoid-edges">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="probs_evolve">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="increase_comp_rate">
      <value value="0.15"/>
      <value value="0.3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="decrease_comp_rate">
      <value value="0"/>
      <value value="0.05"/>
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_soc-or-dm">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_soc-or-dm">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_competence">
      <value value="1"/>
      <value value="2"/>
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_competence">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_difficulty">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_difficulty">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="problem_spin-off">
      <value value="2"/>
      <value value="4"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tolerance">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="range">
      <value value="6"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="inq_exp2.3-enq2range6" repetitions="30" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go
solve
evolve</go>
    <timeLimit steps="300"/>
    <metric>count dm with [ color = red ]</metric>
    <metric>count dm with [ color = yellow ]</metric>
    <metric>count dm with [ color = white ]</metric>
    <metric>count problems</metric>
    <metric>pr.solved2</metric>
    <metric>count problems with [ color = blue ]</metric>
    <metric>plot.comp.red</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = red ]</metric>
    <metric>plot.comp.ylw</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = yellow ]</metric>
    <metric>plot.comp.wht</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = white ]</metric>
    <metric>mean [ coop-others ] of dm</metric>
    <metric>standard-deviation [ coop-others ] of dm</metric>
    <metric>mean [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>standard-deviation [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>mean [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>standard-deviation [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>mean [ difficulty ] of problems</metric>
    <metric>standard-deviation [ difficulty ] of problems</metric>
    <metric>sum [ solved-red ] of dm</metric>
    <metric>sum [ solved-ylw ] of dm</metric>
    <metric>sum [ solved-wht ] of dm</metric>
    <enumeratedValueSet variable="initial.num-dm">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial.num-problems">
      <value value="100"/>
      <value value="200"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="cooperation">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="looking_for_problems">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="inquisitiveness">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="avoid-edges">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="probs_evolve">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="increase_comp_rate">
      <value value="0.15"/>
      <value value="0.3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="decrease_comp_rate">
      <value value="0"/>
      <value value="0.05"/>
      <value value="0.1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_soc-or-dm">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_soc-or-dm">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_competence">
      <value value="1"/>
      <value value="2"/>
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_competence">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_enquiry">
      <value value="2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_difficulty">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_difficulty">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="problem_spin-off">
      <value value="2"/>
      <value value="4"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tolerance">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="range">
      <value value="6"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="inq_exp3.0" repetitions="30" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go
solve</go>
    <timeLimit steps="100"/>
    <exitCondition>ticks = 100</exitCondition>
    <metric>count dm with [ color = red ]</metric>
    <metric>count dm with [ color = yellow ]</metric>
    <metric>count dm with [ color = white ]</metric>
    <metric>count problems</metric>
    <metric>pr.solved2</metric>
    <metric>count problems with [ color = blue ]</metric>
    <metric>plot.comp.red</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = red ]</metric>
    <metric>plot.comp.ylw</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = yellow ]</metric>
    <metric>plot.comp.wht</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = white ]</metric>
    <metric>mean [ coop-others ] of dm</metric>
    <metric>standard-deviation [ coop-others ] of dm</metric>
    <metric>mean [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>standard-deviation [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>mean [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>standard-deviation [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>mean [ difficulty ] of problems</metric>
    <metric>standard-deviation [ difficulty ] of problems</metric>
    <metric>solved-red2</metric>
    <metric>solved-ylw2</metric>
    <metric>solved-wht2</metric>
    <enumeratedValueSet variable="initial.num-dm">
      <value value="100"/>
      <value value="200"/>
      <value value="300"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial.num-problems">
      <value value="100"/>
      <value value="200"/>
      <value value="300"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="cooperation">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="looking_for_problems">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="inquisitiveness">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="avoid-edges">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="probs_evolve">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="increase_comp_rate">
      <value value="0.3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="decrease_comp_rate">
      <value value="0.05"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_soc-or-dm">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_soc-or-dm">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_competence">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_competence">
      <value value="1.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_enquiry">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_difficulty">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_difficulty">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="problem_spin-off">
      <value value="2"/>
      <value value="4"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tolerance">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="range">
      <value value="6"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="exp_euram2018" repetitions="222" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go
solve
evolve</go>
    <timeLimit steps="300"/>
    <metric>count dm with [ color = red ]</metric>
    <metric>count dm with [ color = yellow ]</metric>
    <metric>count dm with [ color = white ]</metric>
    <metric>count problems</metric>
    <metric>pr.solved2</metric>
    <metric>count problems with [ color = blue ]</metric>
    <metric>plot.comp.red</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = red ]</metric>
    <metric>plot.comp.ylw</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = yellow ]</metric>
    <metric>plot.comp.wht</metric>
    <metric>standard-deviation [ competence ] of dm with [ color = white ]</metric>
    <metric>mean [ coop-others ] of dm</metric>
    <metric>standard-deviation [ coop-others ] of dm</metric>
    <metric>mean [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>standard-deviation [ non-linear-effect ] of dm with [ color = red ]</metric>
    <metric>mean [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>standard-deviation [ linear-effect ] of dm with [ color = yellow ]</metric>
    <metric>mean [ difficulty ] of problems</metric>
    <metric>standard-deviation [ difficulty ] of problems</metric>
    <metric>sum [ solved-red ] of dm</metric>
    <metric>sum [ solved-ylw ] of dm</metric>
    <metric>sum [ solved-wht ] of dm</metric>
    <enumeratedValueSet variable="mean_enquiry">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_enquiry">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="increase_comp_rate">
      <value value="0.3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="decrease_comp_rate">
      <value value="0.05"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="tolerance">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="inquisitiveness">
      <value value="false"/>
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="problem_spin-off">
      <value value="4"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="looking_for_problems">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="probs_evolve">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial.num-problems">
      <value value="100"/>
      <value value="300"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_difficulty">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_difficulty">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="cooperation">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="avoid-edges">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial.num-dm">
      <value value="100"/>
      <value value="300"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="range">
      <value value="6"/>
      <value value="9"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_soc-or-dm">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_soc-or-dm">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="mean_competence">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev_competence">
      <value value="1.5"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180
@#$#@#$#@
0
@#$#@#$#@
